cmake_minimum_required(VERSION 3.19)
project(OpenGLTest CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

find_package(OpenGL REQUIRED)
find_package(GLEW REQUIRED)
find_package(glm REQUIRED)
find_package(glfw3 REQUIRED)

file(GLOB SOURCES src/*.h src/*.cpp)
add_executable(opengl_test ${SOURCES})

target_include_directories(opengl_test PUBLIC include)
target_link_libraries(opengl_test
    OpenGL::GL
    GLEW::GLEW
    glm::glm
    glfw
)
